Eclipse Platform Release 3.7

## org.eclipse.search.ui
Interface IReplacePage

    public interface IReplacePage

An extension interface to `ISearchPage`. If clients implement `IReplacePage` in addition to `ISearchPage`, a "Replace" button will be shown in the search dialog.

Since:
  3.0

Method Summary
`boolean` `performReplace()` Performs the replace action for this page.

Method Detail

### performReplace

    boolean performReplace()

  Performs the replace action for this page. The search dialog calls this method when the Replace button is pressed.

  Returns:
    `true` if the dialog can be closed after execution

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.